<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/Settings/include/Settings/SettingStatus.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_8ae0dd75af039a94f4269584fb8eef13.html">Settings</a></li><li class="navelem"><a class="el" href="dir_432cbbb5245314b613ff1e5a0d6316fd.html">include</a></li><li class="navelem"><a class="el" href="dir_5ad71ff850730ae2a3f8f6d36f5ecd38.html">Settings</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SettingStatus.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_setting_status_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_SETTINGS_INCLUDE_SETTINGS_SETTINGSTATUS_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_SETTINGS_INCLUDE_SETTINGS_SETTINGSTATUS_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">namespace </span>settings {</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">   25</a></span>&#160;<span class="keyword">enum class</span> <a class="code" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">SettingStatus</a> {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4ad07995fa8f4a3a019d134fcbfca4669a">NOT_AVAILABLE</a>,</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4aac59576af0d8a0c0b7435139984e0836">LOCAL_CHANGE_IN_PROGRESS</a>,</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4a95a25e4bbdf82b4c1ce9d92832b1ac91">AVS_CHANGE_IN_PROGRESS</a>,</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4a35c25b3993876576ae1222f9ebb04f63">SYNCHRONIZED</a></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;};</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1settings.html#aefc5262bf0a9db3586251e5048152a41">   45</a></span>&#160;<span class="keyword">inline</span> std::string <a class="code" href="namespacealexa_client_s_d_k_1_1settings.html#aefc5262bf0a9db3586251e5048152a41">settingStatusToString</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">SettingStatus</a> status) {</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <span class="keywordflow">switch</span> (status) {</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4aac59576af0d8a0c0b7435139984e0836">SettingStatus::LOCAL_CHANGE_IN_PROGRESS</a>:</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;LOCAL_CHANGE_IN_PROGRESS&quot;</span>;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4a95a25e4bbdf82b4c1ce9d92832b1ac91">SettingStatus::AVS_CHANGE_IN_PROGRESS</a>:</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;AVS_CHANGE_IN_PROGRESS&quot;</span>;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4a35c25b3993876576ae1222f9ebb04f63">SettingStatus::SYNCHRONIZED</a>:</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;SYNCHRONIZED&quot;</span>;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4ad07995fa8f4a3a019d134fcbfca4669a">SettingStatus::NOT_AVAILABLE</a>:</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;NOT_AVAILABLE&quot;</span>;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    }</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keywordflow">return</span> <span class="stringliteral">&quot;UNKNOWN&quot;</span>;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;}</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1settings.html#a10930afc6c15d6a2ad5ade0f51ed4dd8">   65</a></span>&#160;<span class="keyword">inline</span> <a class="code" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">SettingStatus</a> <a class="code" href="namespacealexa_client_s_d_k_1_1settings.html#a10930afc6c15d6a2ad5ade0f51ed4dd8">stringToSettingStatus</a>(<span class="keyword">const</span> std::string&amp; statusString) {</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    <span class="keywordflow">if</span> (<span class="stringliteral">&quot;LOCAL_CHANGE_IN_PROGRESS&quot;</span> == statusString) {</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4aac59576af0d8a0c0b7435139984e0836">SettingStatus::LOCAL_CHANGE_IN_PROGRESS</a>;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    } <span class="keywordflow">else</span> <span class="keywordflow">if</span> (<span class="stringliteral">&quot;SYNCHRONIZED&quot;</span> == statusString) {</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4a35c25b3993876576ae1222f9ebb04f63">SettingStatus::SYNCHRONIZED</a>;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    } <span class="keywordflow">else</span> <span class="keywordflow">if</span> (<span class="stringliteral">&quot;AVS_CHANGE_IN_PROGRESS&quot;</span> == statusString) {</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4a95a25e4bbdf82b4c1ce9d92832b1ac91">SettingStatus::AVS_CHANGE_IN_PROGRESS</a>;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    }</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4ad07995fa8f4a3a019d134fcbfca4669a">SettingStatus::NOT_AVAILABLE</a>;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;}</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;}  <span class="comment">// namespace settings</span></div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_SETTINGS_INCLUDE_SETTINGS_SETTINGSTATUS_H_</span></div><div class="ttc" id="namespacealexa_client_s_d_k_1_1settings_html_a4a578c80906f233911b5c7e07bf1d4d4ad07995fa8f4a3a019d134fcbfca4669a"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4ad07995fa8f4a3a019d134fcbfca4669a">alexaClientSDK::settings::SettingStatus::NOT_AVAILABLE</a></div><div class="ttdoc">The setting has either not been set and not been persisted in a storage or the setting is in an unkno...</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1settings_html_a4a578c80906f233911b5c7e07bf1d4d4"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">alexaClientSDK::settings::SettingStatus</a></div><div class="ttdeci">SettingStatus</div><div class="ttdef"><b>Definition:</b> SettingStatus.h:25</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1settings_html_a10930afc6c15d6a2ad5ade0f51ed4dd8"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1settings.html#a10930afc6c15d6a2ad5ade0f51ed4dd8">alexaClientSDK::settings::stringToSettingStatus</a></div><div class="ttdeci">SettingStatus stringToSettingStatus(const std::string &amp;statusString)</div><div class="ttdef"><b>Definition:</b> SettingStatus.h:65</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1settings_html_aefc5262bf0a9db3586251e5048152a41"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1settings.html#aefc5262bf0a9db3586251e5048152a41">alexaClientSDK::settings::settingStatusToString</a></div><div class="ttdeci">std::string settingStatusToString(SettingStatus status)</div><div class="ttdef"><b>Definition:</b> SettingStatus.h:45</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1settings_html_a4a578c80906f233911b5c7e07bf1d4d4aac59576af0d8a0c0b7435139984e0836"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4aac59576af0d8a0c0b7435139984e0836">alexaClientSDK::settings::SettingStatus::LOCAL_CHANGE_IN_PROGRESS</a></div><div class="ttdoc">The setting has been set locally but not synchronized with AVS. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1settings_html_a4a578c80906f233911b5c7e07bf1d4d4a35c25b3993876576ae1222f9ebb04f63"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4a35c25b3993876576ae1222f9ebb04f63">alexaClientSDK::settings::SettingStatus::SYNCHRONIZED</a></div><div class="ttdoc">The setting has been set locally and synchronized with AVS. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1settings_html_a4a578c80906f233911b5c7e07bf1d4d4a95a25e4bbdf82b4c1ce9d92832b1ac91"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4a95a25e4bbdf82b4c1ce9d92832b1ac91">alexaClientSDK::settings::SettingStatus::AVS_CHANGE_IN_PROGRESS</a></div><div class="ttdoc">AVS request is in progress. </div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
